/*++ BUILD Version: 0001    // Increment this if a change has global effects

Copyright (c) 1991  Microsoft Corporation

Module Name:

    oledserr.mc

Abstract:

    Error codes for ADs

Revision History:

--*/


// ---------------------- HRESULT value definitions -----------------
//
// HRESULT definitions
//

#ifdef RC_INVOKED
#define _HRESULT_TYPEDEF_(_sc) _sc
#else // RC_INVOKED
#define _HRESULT_TYPEDEF_(_sc) ((HRESULT)_sc)
#endif // RC_INVOKED

//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//
#define FACILITY_WINDOWS                 8
#define FACILITY_STORAGE                 3
#define FACILITY_RPC                     1
#define FACILITY_SSPI                    9
#define FACILITY_WIN32                   7
#define FACILITY_CONTROL                 10
#define FACILITY_NULL                    0
#define FACILITY_ITF                     4
#define FACILITY_DISPATCH                2


//
// Define the severity codes
//


//
// MessageId: E_ADS_BAD_PATHNAME
//
// MessageText:
//
//  An invalid Active Directory pathname was passed
//
#define E_ADS_BAD_PATHNAME               _HRESULT_TYPEDEF_(0x80005000L)

//
// MessageId: E_ADS_INVALID_DOMAIN_OBJECT
//
// MessageText:
//
//  An unknown Active Directory domain object was requested
//
#define E_ADS_INVALID_DOMAIN_OBJECT      _HRESULT_TYPEDEF_(0x80005001L)

//
// MessageId: E_ADS_INVALID_USER_OBJECT
//
// MessageText:
//
//  An unknown Active Directory user object was requested
//
#define E_ADS_INVALID_USER_OBJECT        _HRESULT_TYPEDEF_(0x80005002L)

//
// MessageId: E_ADS_INVALID_COMPUTER_OBJECT
//
// MessageText:
//
//  An unknown Active Directory computer object was requested
//
#define E_ADS_INVALID_COMPUTER_OBJECT    _HRESULT_TYPEDEF_(0x80005003L)

//
// MessageId: E_ADS_UNKNOWN_OBJECT
//
// MessageText:
//
//  An unknown Active Directory object was requested
//
#define E_ADS_UNKNOWN_OBJECT             _HRESULT_TYPEDEF_(0x80005004L)

//
// MessageId: E_ADS_PROPERTY_NOT_SET
//
// MessageText:
//
//  The specified Active Directory property was not set
//
#define E_ADS_PROPERTY_NOT_SET           _HRESULT_TYPEDEF_(0x80005005L)

//
// MessageId: E_ADS_PROPERTY_NOT_SUPPORTED
//
// MessageText:
//
//  The specified Active Directory property is not supported
//
#define E_ADS_PROPERTY_NOT_SUPPORTED     _HRESULT_TYPEDEF_(0x80005006L)

//
// MessageId: E_ADS_PROPERTY_INVALID
//
// MessageText:
//
//  The specified Active Directory property is invalid
//
#define E_ADS_PROPERTY_INVALID           _HRESULT_TYPEDEF_(0x80005007L)

//
// MessageId: E_ADS_BAD_PARAMETER
//
// MessageText:
//
//  One or more input parameters are invalid
//
#define E_ADS_BAD_PARAMETER              _HRESULT_TYPEDEF_(0x80005008L)

//
// MessageId: E_ADS_OBJECT_UNBOUND
//
// MessageText:
//
//  The specified Active Directory object is not bound to a remote resource
//
#define E_ADS_OBJECT_UNBOUND             _HRESULT_TYPEDEF_(0x80005009L)

//
// MessageId: E_ADS_PROPERTY_NOT_MODIFIED
//
// MessageText:
//
//  The specified Active Directory object has not been modified
//
#define E_ADS_PROPERTY_NOT_MODIFIED      _HRESULT_TYPEDEF_(0x8000500AL)

//
// MessageId: E_ADS_PROPERTY_MODIFIED
//
// MessageText:
//
//  The specified Active Directory object has not been modified
//
#define E_ADS_PROPERTY_MODIFIED          _HRESULT_TYPEDEF_(0x8000500BL)

//
// MessageId: E_ADS_CANT_CONVERT_DATATYPE
//
// MessageText:
//
//  The Active Directory datatype cannot be converted to/from a native DS datatype
//
#define E_ADS_CANT_CONVERT_DATATYPE      _HRESULT_TYPEDEF_(0x8000500CL)

//
// MessageId: E_ADS_PROPERTY_NOT_FOUND
//
// MessageText:
//
//  The Active Directory property cannot be found in the cache.
//
#define E_ADS_PROPERTY_NOT_FOUND         _HRESULT_TYPEDEF_(0x8000500DL)

//
// MessageId: E_ADS_OBJECT_EXISTS
//
// MessageText:
//
//  The Active Directory object exists.
//
#define E_ADS_OBJECT_EXISTS              _HRESULT_TYPEDEF_(0x8000500EL)

//
// MessageId: E_ADS_SCHEMA_VIOLATION
//
// MessageText:
//
//  The attempted action violates the DS schema rules.
//
#define E_ADS_SCHEMA_VIOLATION           _HRESULT_TYPEDEF_(0x8000500FL)

//
// MessageId: E_ADS_COLUMN_NOT_SET
//
// MessageText:
//
//  The specified column in the Active Directory was not set.
//
#define E_ADS_COLUMN_NOT_SET             _HRESULT_TYPEDEF_(0x80005010L)

//
// MessageId: S_ADS_ERRORSOCCURRED
//
// MessageText:
//
//  One or more errors occurred
//
#define S_ADS_ERRORSOCCURRED             _HRESULT_TYPEDEF_(0x00005011L)

//
// MessageId: S_ADS_NOMORE_ROWS
//
// MessageText:
//
//  No more rows to be obatained by the search result.
//
#define S_ADS_NOMORE_ROWS                _HRESULT_TYPEDEF_(0x00005012L)

//
// MessageId: S_ADS_NOMORE_COLUMNS
//
// MessageText:
//
//  No more columns to be obatained for the current row.
//
#define S_ADS_NOMORE_COLUMNS             _HRESULT_TYPEDEF_(0x00005013L)

//
// MessageId: E_ADS_INVALID_FILTER
//
// MessageText:
//
//  The search filter specified is invalid
//
#define E_ADS_INVALID_FILTER             _HRESULT_TYPEDEF_(0x80005014L)

//
// These errors are defined in winerror.h in NT5.0. They are included here
// for NT4.0 and Win9x clients
//

//
// MessageId: ERROR_OBJECT_ALREADY_EXISTS
//
// MessageText:
//
//  The object already exists.
//
#ifdef ERROR_OBJECT_ALREADY_EXISTS
#undef ERROR_OBJECT_ALREADY_EXISTS
#endif
#define ERROR_OBJECT_ALREADY_EXISTS      5010L

//
// MessageId: ERROR_DS_NO_ATTRIBUTE_OR_VALUE
//
// MessageText:
//
//  The specified directory service attribute or value does not exist.
//
#ifdef ERROR_DS_NO_ATTRIBUTE_OR_VALUE
#undef ERROR_DS_NO_ATTRIBUTE_OR_VALUE
#endif
#define ERROR_DS_NO_ATTRIBUTE_OR_VALUE   8202L

//
// MessageId: ERROR_DS_INVALID_ATTRIBUTE_SYNTAX
//
// MessageText:
//
//  The attribute syntax specified to the directory service is invalid.
//
#ifdef ERROR_DS_INVALID_ATTRIBUTE_SYNTAX
#undef ERROR_DS_INVALID_ATTRIBUTE_SYNTAX
#endif
#define ERROR_DS_INVALID_ATTRIBUTE_SYNTAX 8203L

//
// MessageId: ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED
//
// MessageText:
//
//  The attribute type specified to the directory service is not defined.
//
#ifdef ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED
#undef ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED
#endif
#define ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED 8204L

//
// MessageId: ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS
//
// MessageText:
//
//  The specified directory service attribute or value already exists.
//
#ifdef ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS
#undef ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS
#endif
#define ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS 8205L

//
// MessageId: ERROR_DS_BUSY
//
// MessageText:
//
//  The directory service is busy.
//
#ifdef ERROR_DS_BUSY
#undef ERROR_DS_BUSY
#endif
#define ERROR_DS_BUSY                    8206L

//
// MessageId: ERROR_DS_UNAVAILABLE
//
// MessageText:
//
//  The directory service is unavailable.
//
#ifdef ERROR_DS_UNAVAILABLE
#undef ERROR_DS_UNAVAILABLE
#endif
#define ERROR_DS_UNAVAILABLE             8207L

//
// MessageId: ERROR_DS_CANT_ON_NON_LEAF
//
// MessageText:
//
//  The directory service can perform the requested operation only on a leaf object.
//
#ifdef ERROR_DS_CANT_ON_NON_LEAF
#undef ERROR_DS_CANT_ON_NON_LEAF
#endif
#define ERROR_DS_CANT_ON_NON_LEAF        8213L

//
// MessageId: ERROR_DS_CANT_ON_RDN
//
// MessageText:
//
//  The directory service cannot perform the requested operation on the RDN attribute of an object.
//
#ifdef ERROR_DS_CANT_ON_RDN
#undef ERROR_DS_CANT_ON_RDN
#endif
#define ERROR_DS_CANT_ON_RDN             8214L

//
// MessageId: ERROR_DS_CANT_MOD_OBJ_CLASS
//
// MessageText:
//
//  The directory service detected an attempt to modify the object class of an object.
//
#ifdef ERROR_DS_CANT_MOD_OBJ_CLASS
#undef ERROR_DS_CANT_MOD_OBJ_CLASS
#endif
#define ERROR_DS_CANT_MOD_OBJ_CLASS      8215L

//
// MessageId: ERROR_DS_OBJ_CLASS_VIOLATION
//
// MessageText:
//
//  The requested operation did not satisfy one or more constraints associated with the class of the object.
//
#ifdef ERROR_DS_OBJ_CLASS_VIOLATION
#undef ERROR_DS_OBJ_CLASS_VIOLATION
#endif
#define ERROR_DS_OBJ_CLASS_VIOLATION     8212L

//
// MessageId: ERROR_DS_UNAVAILABLE_CRIT_EXTENSION
//
// MessageText:
//
//  The server does not support the requested critical extension.
//
#ifdef ERROR_DS_UNAVAILABLE_CRIT_EXTENSION
#undef ERROR_DS_UNAVAILABLE_CRIT_EXTENSION
#endif
#define ERROR_DS_UNAVAILABLE_CRIT_EXTENSION 8236L

// 8223 unused
//
// MessageId: ERROR_DS_OPERATIONS_ERROR
//
// MessageText:
//
//  An operations error occurred.
//
#ifdef ERROR_DS_OPERATIONS_ERROR
#undef ERROR_DS_OPERATIONS_ERROR
#endif
#define ERROR_DS_OPERATIONS_ERROR        8224L

//
// MessageId: ERROR_DS_PROTOCOL_ERROR
//
// MessageText:
//
//  A protocol error occurred.
//
#ifdef ERROR_DS_PROTOCOL_ERROR
#undef ERROR_DS_PROTOCOL_ERROR
#endif
#define ERROR_DS_PROTOCOL_ERROR          8225L

//
// MessageId: ERROR_DS_TIMELIMIT_EXCEEDED
//
// MessageText:
//
//  The time limit for this request was exceeded.
//
#ifdef ERROR_DS_TIMELIMIT_EXCEEDED
#undef ERROR_DS_TIMELIMIT_EXCEEDED
#endif
#define ERROR_DS_TIMELIMIT_EXCEEDED      8226L

//
// MessageId: ERROR_DS_SIZELIMIT_EXCEEDED
//
// MessageText:
//
//  The size limit for this request was exceeded.
//
#ifdef ERROR_DS_SIZELIMIT_EXCEEDED
#undef ERROR_DS_SIZELIMIT_EXCEEDED
#endif
#define ERROR_DS_SIZELIMIT_EXCEEDED      8227L

//
// MessageId: ERROR_DS_ADMIN_LIMIT_EXCEEDED
//
// MessageText:
//
//  The administrative limit for this request was exceeded.
//
#ifdef ERROR_DS_ADMIN_LIMIT_EXCEEDED
#undef ERROR_DS_ADMIN_LIMIT_EXCEEDED
#endif
#define ERROR_DS_ADMIN_LIMIT_EXCEEDED    8228L

//
// MessageId: ERROR_DS_COMPARE_FALSE
//
// MessageText:
//
//  The compare response was false.
//
#ifdef ERROR_DS_COMPARE_FALSE
#undef ERROR_DS_COMPARE_FALSE
#endif
#define ERROR_DS_COMPARE_FALSE           8229L

//
// MessageId: ERROR_DS_COMPARE_TRUE
//
// MessageText:
//
//  The compare response was true.
//
#ifdef ERROR_DS_COMPARE_TRUE
#undef ERROR_DS_COMPARE_TRUE
#endif
#define ERROR_DS_COMPARE_TRUE            8230L

//
// MessageId: ERROR_DS_AUTH_METHOD_NOT_SUPPORTED
//
// MessageText:
//
//  The requested authentication method is not supported by the server.
//
#ifdef ERROR_DS_AUTH_METHOD_NOT_SUPPORTED
#undef ERROR_DS_AUTH_METHOD_NOT_SUPPORTED
#endif
#define ERROR_DS_AUTH_METHOD_NOT_SUPPORTED 8231L

//
// MessageId: ERROR_DS_STRONG_AUTH_REQUIRED
//
// MessageText:
//
//  A more secure authentication method is required for this server.
//
#ifdef ERROR_DS_STRONG_AUTH_REQUIRED
#undef ERROR_DS_STRONG_AUTH_REQUIRED
#endif
#define ERROR_DS_STRONG_AUTH_REQUIRED    8232L

//
// MessageId: ERROR_DS_INAPPROPRIATE_AUTH
//
// MessageText:
//
//  Inappropriate authentication.
//
#ifdef ERROR_DS_INAPPROPRIATE_AUTH
#undef ERROR_DS_INAPPROPRIATE_AUTH
#endif
#define ERROR_DS_INAPPROPRIATE_AUTH      8233L

//
// MessageId: ERROR_DS_AUTH_UNKNOWN
//
// MessageText:
//
//  The authentication mechanism is unknown.
//
#ifdef ERROR_DS_AUTH_UNKNOWN
#undef ERROR_DS_AUTH_UNKNOWN
#endif
#define ERROR_DS_AUTH_UNKNOWN            8234L

//
// MessageId: ERROR_DS_REFERRAL
//
// MessageText:
//
//  A referral was returned from the server.
//
#ifdef ERROR_DS_REFERRAL
#undef ERROR_DS_REFERRAL
#endif
#define ERROR_DS_REFERRAL                8235L

//
// MessageId: ERROR_DS_UNAVAILABLE_CRIT_EXTENSION
//
// MessageText:
//
//  The server does not support the requested critical extension.
//
#ifdef ERROR_DS_UNAVAILABLE_CRIT_EXTENSION
#undef ERROR_DS_UNAVAILABLE_CRIT_EXTENSION
#endif
#define ERROR_DS_UNAVAILABLE_CRIT_EXTENSION 8236L

//
// MessageId: ERROR_DS_CONFIDENTIALITY_REQUIRED
//
// MessageText:
//
//  This request requires a secure connection.
//
#ifdef ERROR_DS_CONFIDENTIALITY_REQUIRED
#undef ERROR_DS_CONFIDENTIALITY_REQUIRED
#endif
#define ERROR_DS_CONFIDENTIALITY_REQUIRED 8237L

//
// MessageId: ERROR_DS_INAPPROPRIATE_MATCHING
//
// MessageText:
//
//  Inappropriate matching.
//
#ifdef ERROR_DS_INAPPROPRIATE_MATCHING
#undef ERROR_DS_INAPPROPRIATE_MATCHING
#endif
#define ERROR_DS_INAPPROPRIATE_MATCHING  8238L

//
// MessageId: ERROR_DS_CONSTRAINT_VIOLATION
//
// MessageText:
//
//  A constraint violation occurred.
//
#ifdef ERROR_DS_CONSTRAINT_VIOLATION
#undef ERROR_DS_CONSTRAINT_VIOLATION
#endif
#define ERROR_DS_CONSTRAINT_VIOLATION    8239L

//
// MessageId: ERROR_DS_NO_SUCH_OBJECT
//
// MessageText:
//
//  There is no such object on the server.
//
#ifdef ERROR_DS_NO_SUCH_OBJECT
#undef ERROR_DS_NO_SUCH_OBJECT
#endif
#define ERROR_DS_NO_SUCH_OBJECT          8240L

//
// MessageId: ERROR_DS_ALIAS_PROBLEM
//
// MessageText:
//
//  There is an alias problem.
//
#ifdef ERROR_DS_ALIAS_PROBLEM
#undef ERROR_DS_ALIAS_PROBLEM
#endif
#define ERROR_DS_ALIAS_PROBLEM           8241L

//
// MessageId: ERROR_DS_INVALID_DN_SYNTAX
//
// MessageText:
//
//  An invalid dn syntax has been specified.
//
#ifdef ERROR_DS_INVALID_DN_SYNTAX
#undef ERROR_DS_INVALID_DN_SYNTAX
#endif
#define ERROR_DS_INVALID_DN_SYNTAX       8242L


// MessageId: ERROR_DS_IS_LEAF
//
// MessageText:
//
//  The object is a leaf object.
//
#ifdef ERROR_DS_IS_LEAF
#undef ERROR_DS_IS_LEAF
#endif
#define ERROR_DS_IS_LEAF                 8243L

//
// MessageId: ERROR_DS_ALIAS_DEREF_PROBLEM
//
// MessageText:
//
//  There is an alias dereferencing problem.
//
#ifdef ERROR_DS_ALIAS_DEREF_PROBLEM
#undef ERROR_DS_ALIAS_DEREF_PROBLEM
#endif
#define ERROR_DS_ALIAS_DEREF_PROBLEM     8244L

//
// MessageId: ERROR_DS_UNWILLING_TO_PERFORM
//
// MessageText:
//
//  The server is unwilling to process the request.
//
#ifdef ERROR_DS_UNWILLING_TO_PERFORM
#undef ERROR_DS_UNWILLING_TO_PERFORM
#endif
#define ERROR_DS_UNWILLING_TO_PERFORM    8245L

//
// MessageId: ERROR_DS_LOOP_DETECT
//
// MessageText:
//
//  A loop has been detected.
//
#ifdef ERROR_DS_LOOP_DETECT
#undef ERROR_DS_LOOP_DETECT
#endif
#define ERROR_DS_LOOP_DETECT             8246L

//
// MessageId: ERROR_DS_NAMING_VIOLATION
//
// MessageText:
//
//  There is a naming violation.
//
#ifdef ERROR_DS_NAMING_VIOLATION
#undef ERROR_DS_NAMING_VIOLATION
#endif
#define ERROR_DS_NAMING_VIOLATION        8247L

// MessageId: ERROR_DS_OBJECT_RESULTS_TOO_LARGE
//
// MessageText:
//
//  The result set is too large.
//
#ifdef ERROR_DS_OBJECT_RESULTS_TOO_LARGE
#undef ERROR_DS_OBJECT_RESULTS_TOO_LARGE
#endif
#define ERROR_DS_OBJECT_RESULTS_TOO_LARGE 8248L

//
// MessageId: ERROR_DS_AFFECTS_MULTIPLE_DSAS
//
// MessageText:
//
//  The operation affects multiple DSAs
//
#ifdef ERROR_DS_AFFECTS_MULTIPLE_DSAS
#undef ERROR_DS_AFFECTS_MULTIPLE_DSAS
#endif
#define ERROR_DS_AFFECTS_MULTIPLE_DSAS   8249L

//
// MessageId: ERROR_DS_SERVER_DOWN
//
// MessageText:
//
//  The server is not operational.
//
#ifdef ERROR_DS_SERVER_DOWN
#undef ERROR_DS_SERVER_DOWN
#endif
#define ERROR_DS_SERVER_DOWN             8250L

//
// MessageId: ERROR_DS_LOCAL_ERROR
//
// MessageText:
//
//  A local error has occurred.
//
#ifdef ERROR_DS_LOCAL_ERROR
#undef ERROR_DS_LOCAL_ERROR
#endif
#define ERROR_DS_LOCAL_ERROR             8251L

//
// MessageId: ERROR_DS_ENCODING_ERROR
//
// MessageText:
//
//  An encoding error has occurred.
//
#ifdef ERROR_DS_ENCODING_ERROR
#undef ERROR_DS_ENCODING_ERROR
#endif
#define ERROR_DS_ENCODING_ERROR          8252L

//
// MessageId: ERROR_DS_DECODING_ERROR
//
// MessageText:
//
//  A decoding error has occurred.
//
#ifdef ERROR_DS_DECODING_ERROR
#undef ERROR_DS_DECODING_ERROR
#endif
#define ERROR_DS_DECODING_ERROR          8253L

//
// MessageId: ERROR_DS_FILTER_UNKNOWN
//
// MessageText:
//
//  The search filter cannot be recognized.
//
#ifdef ERROR_DS_FILTER_UNKNOWN
#undef ERROR_DS_FILTER_UNKNOWN
#endif
#define ERROR_DS_FILTER_UNKNOWN          8254L

//
// MessageId: ERROR_DS_PARAM_ERROR
//
// MessageText:
//
//  One or more parameters are illegal.
//
#ifdef ERROR_DS_PARAM_ERROR
#undef ERROR_DS_PARAM_ERROR
#endif
#define ERROR_DS_PARAM_ERROR             8255L

//
// MessageId: ERROR_DS_NOT_SUPPORTED
//
// MessageText:
//
//  The specified method is not supported.
//
#ifdef ERROR_DS_NOT_SUPPORTED
#undef ERROR_DS_NOT_SUPPORTED
#endif
#define ERROR_DS_NOT_SUPPORTED           8256L

//
// MessageId: ERROR_DS_NO_RESULTS_RETURNED
//
// MessageText:
//
//  No results were returned.
//
#ifdef ERROR_DS_NO_RESULTS_RETURNED
#undef ERROR_DS_NO_RESULTS_RETURNED
#endif
#define ERROR_DS_NO_RESULTS_RETURNED     8257L

//
// MessageId: ERROR_DS_CONTROL_NOT_FOUND
//
// MessageText:
//
//  The specified control is not supported by the server.
//
#ifdef ERROR_DS_CONTROL_NOT_FOUND
#undef ERROR_DS_CONTROL_NOT_FOUND
#endif
#define ERROR_DS_CONTROL_NOT_FOUND       8258L

//
// MessageId: ERROR_DS_CLIENT_LOOP
//
// MessageText:
//
//  A referral loop was detected by the client.
//
#ifdef ERROR_DS_CLIENT_LOOP
#undef ERROR_DS_CLIENT_LOOP
#endif
#define ERROR_DS_CLIENT_LOOP             8259L

//
// MessageId: ERROR_DS_REFERRAL_LIMIT_EXCEEDED
//
// MessageText:
//
//  The preset referral limit was exceeded.
//
#ifdef ERROR_DS_REFERRAL_LIMIT_EXCEEDED
#undef ERROR_DS_REFERRAL_LIMIT_EXCEEDED
#endif
#define ERROR_DS_REFERRAL_LIMIT_EXCEEDED 8260L

// MessageId: ERROR_DS_NAME_ERROR_RESOLVING
//
// MessageText:
//
//  Name translation: Generic processing error.
//
#ifdef ERROR_DS_NAME_ERROR_RESOLVING
#undef ERROR_DS_NAME_ERROR_RESOLVING
#endif
#define ERROR_DS_NAME_ERROR_RESOLVING    8469L

//
// MessageId: ERROR_DS_NAME_ERROR_NOT_FOUND
//
// MessageText:
//
//  Name translation: Could not find the name or insufficient right to see name.
//
#ifdef ERROR_DS_NAME_ERROR_NOT_FOUND
#undef ERROR_DS_NAME_ERROR_NOT_FOUND
#endif
#define ERROR_DS_NAME_ERROR_NOT_FOUND    8470L

//
// MessageId: ERROR_DS_NAME_ERROR_NOT_UNIQUE
//
// MessageText:
//
//  Name translation: Input name mapped to more than one output name.
//
#ifdef ERROR_DS_NAME_ERROR_NOT_UNIQUE
#undef ERROR_DS_NAME_ERROR_NOT_UNIQUE
#endif
#define ERROR_DS_NAME_ERROR_NOT_UNIQUE   8471L

//
// MessageId: ERROR_DS_NAME_ERROR_NO_MAPPING
//
// MessageText:
//
//  Name translation: Input name found, but not the associated output format.
//
#ifdef ERROR_DS_NAME_ERROR_NO_MAPPING
#undef ERROR_DS_NAME_ERROR_NO_MAPPING
#endif
#define ERROR_DS_NAME_ERROR_NO_MAPPING   8472L

//
// MessageId: ERROR_DS_NAME_ERROR_DOMAIN_ONLY
//
// MessageText:
//
//  Name translation: Unable to resolve completely, only the domain was found.
//
#ifdef ERROR_DS_NAME_ERROR_DOMAIN_ONLY
#undef ERROR_DS_NAME_ERROR_DOMAIN_ONLY
#endif
#define ERROR_DS_NAME_ERROR_DOMAIN_ONLY  8473L

//
// MessageId: ERROR_DS_NAME_ERROR_NO_SYNTACTICAL_MAPPING
//
// MessageText:
//
//  Name translation: Unable to perform purely syntactical mapping at the client without going out to the wire.
//
#ifdef ERROR_DS_NAME_ERROR_NO_SYNTACTICAL_MAPPING
#undef ERROR_DS_NAME_ERROR_NO_SYNTACTICAL_MAPPING
#endif
#define ERROR_DS_NAME_ERROR_NO_SYNTACTICAL_MAPPING 8474L

